LibreOffice: XMultiComponentFactory Interface Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XMultiComponentFactory Interface Referencepublished

Factory interface for creating component instances giving a context from which to retrieve deployment values. More...

`import"XMultiComponentFactory.idl";`

Inheritance diagram for XMultiComponentFactory:

## Public Member Functions
com::sun::star::uno::XInterface | createInstanceWithContext ([in] string aServiceSpecifier, [in] com::sun::star::uno::XComponentContext Context) raises (com::sun::star::uno::Exception)
| Creates an instance of a component which supports the services specified by the factory. More...
com::sun::star::uno::XInterface | createInstanceWithArgumentsAndContext ([in] string ServiceSpecifier, [in] sequence< any > Arguments, [in] com::sun::star::uno::XComponentContext Context) raises (com::sun::star::uno::Exception)
| Creates an instance of a component which supports the services specified by the factory, and initializes the new instance with the given arguments and context. More...
sequence< string > | getAvailableServiceNames ()
| Gets the names of all supported services. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Factory interface for creating component instances giving a context from which to retrieve deployment values.

See also
  XInitialization

Developers Guide
  ProUNO - Service Manager and Component Context
  FirstSteps - First Contact - Getting Started
  ProUNO - Java - Getting a Service Manager
  ProUNO - C++ - Establishing Interprocess Connections
  ProUNO - UNO Interprocess Connections
  ProUNO - C++ - Transparent Use of Office UNO Components
  ProUNO - Java - Transparent Use of Office UNO Components

## Member Function Documentation

## ◆ createInstanceWithArgumentsAndContext()

com::sun::star::uno::XInterface createInstanceWithArgumentsAndContext | ( | [in] string | ServiceSpecifier,
|  | [in] sequence< any > | Arguments,
|  | [in] com::sun::star::uno::XComponentContext | Context
| ) |  |
raises | ( | com::sun::star::uno::Exception
| ) |  |

Creates an instance of a component which supports the services specified by the factory, and initializes the new instance with the given arguments and context.

Parameters

  ServiceSpecifier | service name
  Arguments | arguments
  Context | context the component instance gets its deployment values from

Returns
  component instance

## ◆ createInstanceWithContext()

com::sun::star::uno::XInterface createInstanceWithContext | ( | [in] string | aServiceSpecifier,
|  | [in] com::sun::star::uno::XComponentContext | Context
| ) |  |
raises | ( | com::sun::star::uno::Exception
| ) |  |

Creates an instance of a component which supports the services specified by the factory.

Parameters

  aServiceSpecifier | service name
  Context | context the component instance gets its deployment values from

Returns
  component instance

## ◆ getAvailableServiceNames()

sequence< string > getAvailableServiceNames | ( |  | ) |

Gets the names of all supported services.

Returns
  sequence of all service names

The documentation for this interface was generated from the following file:

- com/sun/star/lang/XMultiComponentFactory.idl